Automations · Workflows

Get workflow with graph

Fetches a workflow with graph.

GEThttps://api.pozy.ai/v1/workflows/{workflowId}
getWorkflow

Guide: Workflows

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
workflowIdrequiredstring

Example

curl -X GET "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • workflowobject
    15 child fields
    • idstring
    • namestring
    • descriptionstring
    • platformstring
    • accountIdstring
    • profileIdstring
    • statusstring

      One of draft, active, paused.

    • entryNodeIdstring
    • nodesarray of object
      5 child fields
      • idstringrequired
      • typestringrequired

        One of trigger, send_message, wait_for_reply, condition, set_variable, delay, webhook, hubspot_upsert_contact, ai, handoff, start_call, a_b_split, set_field, enroll_sequence, add_tag, remove_tag, end.

      • configobject
      • positionobject
        2 child fields
        • xnumber
        • ynumber
      • labelstring

        1 to 80 characters.

    • edgesarray of object
      4 child fields
      • idstringrequired
      • sourcestringrequired
      • targetstringrequired
      • sourceHandlestring

        Can be null.

    • totalStartedinteger
    • totalCompletedinteger
    • totalExitedinteger
    • createdAtstring (date-time)
    • updatedAtstring (date-time)
200 response
{
  "success": true,
  "workflow": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "description": "A short description",
    "platform": "instagram",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "profileId": "6a0b6573846efc28aaa9a3ff",
    "status": "draft",
    "entryNodeId": "6cb80338d0fb8bf8544ff5a4",
    "nodes": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "type": "trigger",
        "config": {},
        "position": {
          "x": 12.5,
          "y": 12.5
        },
        "label": "string"
      }
    ],
    "edges": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "source": "string",
        "target": "string",
        "sourceHandle": "acme"
      }
    ],
    "totalStarted": 42,
    "totalCompleted": 42,
    "totalExited": 42,
    "createdAt": "2026-10-02T09:00:00.000Z",
    "updatedAt": "2026-10-02T09:00:00.000Z"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Workflows